Page MenuHomePhabricator

[clang][HeaderInsert] Do not treat defines with values as header guards
ClosedPublic

Authored by kadircet on Aug 8 2020, 4:03 PM.

Details

Summary

This was resulting in inserting headers at bogus locations, see
https://github.com/ycm-core/YouCompleteMe/issues/3736 for an example.

Diff Detail

Event Timeline

kadircet created this revision.Aug 8 2020, 4:03 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 8 2020, 4:03 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
kadircet requested review of this revision.Aug 8 2020, 4:03 PM
hokein accepted this revision.Aug 9 2020, 11:21 PM
hokein added inline comments.
clang/unittests/Tooling/HeaderIncludesTest.cpp
544

could you move this to the HeaderGuard section of this file (~Line 349)?

This revision is now accepted and ready to land.Aug 9 2020, 11:21 PM
kadircet updated this revision to Diff 284702.Aug 11 2020, 7:02 AM
  • Move new test closer to other FakeHeaderGuard tests.
This revision was landed with ongoing or failed builds.Aug 11 2020, 7:09 AM
This revision was automatically updated to reflect the committed changes.